# -*- coding: utf-8 -*-
from setuphelpers import *

""" 
Sources:
https://gpsearch.azurewebsites.net/

"""


def install():
    # Shows or hides sleep from the power options menu.
    registry_set(HKEY_LOCAL_MACHINE, r"Software\Policies\Microsoft\Windows\Explorer", "ShowsleepOption", 0)
    # Allow or not standby states (S1-S3) when sleeping (plugged in)
    registry_set(HKEY_LOCAL_MACHINE, r"Software\Policies\Microsoft\Power\PowerSettings\abfc2519-3608-4c2a-94ea-171b0ed546ab", "DCSettingIndex", 0)
    # Allow or not standby states (S1-S3) when sleeping (on battery)
    registry_set(HKEY_LOCAL_MACHINE, r"Software\Policies\Microsoft\Power\PowerSettings\abfc2519-3608-4c2a-94ea-171b0ed546ab", "ACSettingIndex", 0)


def uninstall():
    registry_delete(HKEY_LOCAL_MACHINE, r"Software\Policies\Microsoft\Windows\Explorer", "ShowsleepOption")
    registry_delete(HKEY_LOCAL_MACHINE, r"Software\Policies\Microsoft\Power\PowerSettings\abfc2519-3608-4c2a-94ea-171b0ed546ab", "DCSettingIndex")
    registry_delete(HKEY_LOCAL_MACHINE, r"Software\Policies\Microsoft\Power\PowerSettings\abfc2519-3608-4c2a-94ea-171b0ed546ab", "ACSettingIndex")
